body {
  background-color: #fafafa;
  margin: 0;
}

a,
a:visited,
a:hover,
a:active {
  color: inherit;
}

.title {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #596767;
  color: white;
  font-size: 24px;
  text-align: center;
  max-width: 600px;
  margin: 0 auto;
  margin-top: 5px;
  padding: 5px;
  border-radius: 5px;
}

.comments {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 14px;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 20px;
  text-align: justify;
  padding: 10px;
}

#nb1 {
  font-weight: bold;
  font-size: 16px;
}

.stitre {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  font-weight: bold;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 20px;
  text-align: justify;
}
.mode {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  font-weight: bold;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 20px;
  text-align: center;
}

#keywords {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 12px;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 15px;
  /* line-height: 24px; */
  text-align: justify;
  font-style: italic;
  /* white-space: nowrap; */
}

.keyword_sel,
.keyword {
  background-color: #e9e9e9;
  color: #585858;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 2px;
  padding-bottom: 2px;
  margin-right: 2px;
  margin-left: 2px;
  border: 0.5px solid black;
  border-radius: 4px;
  cursor: pointer;
  display: inline-block;
  margin-bottom: 5px;
}

.keyword_sel {
  background-color: #475454;
  color: white;
}

@media (max-width: 600px) {
  .title {
    border-radius: 0px;
    margin-top: 0px;
  }
}

#results {
  font-family: Arial, Helvetica, sans-serif;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 30px;
  border-collapse: collapse;
}

#results span {
  background-color: #e9e9e9;
  color: #585858;
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 2px;
  padding-bottom: 2px;
  margin-right: 10px;
  border: 0.5px solid black;
  border-radius: 4px;
}

#results td {
  border: 1px solid black;
  text-align: center;
}

#results thead {
  font-weight: bold;
  background-color: #475454;
  color: white;
}

#results thead tr:first-child td:nth-child(1) {
  width: 50px;
}

#results thead tr:first-child td:nth-child(2) {
  width: 230px;
}

#results thead tr:first-child td:nth-child(3) {
  width: 520px;
}

#results thead td {
  padding: 5px;
}

#results tbody td {
  font-size: 12px;
  padding: 10px;
}

#results tbody td:nth-child(3) {
  line-height: 24px;
}

#results tbody tr:nth-child(even) {
  background-color: rgb(202, 202, 202);
}

#results a,
#results a:visited,
#results a:hover,
#results a:active {
  color: inherit;
}

#cache {
  position: fixed;
  background-color: rgba(0, 0, 0, 0.6);
  width: 100%;
  height: 100%;
  left: 0px;
  top: 0px;
  pointer-events: none;
  display: none;
}

#preview {
  position: fixed;
  /* background-color: red; */
  width: 100px;
  height: 100px;
  /* justify-content: center; */
  display: none;
  /* text-align: center; */
  pointer-events: none;
}

#preview img {
  position: relative;
  /* margin-left: auto;
  margin-right: auto;
  margin-top: auto;
  margin-bottom: auto; */
  /* margin: auto; */
  margin-left: auto;
  margin-right: 0;
  top: 5px;
  max-width: calc(100% - 10px);
  max-height: calc(100% - 10px);
  display: block;
  border-radius: 4px;
  border: 1px solid rgb(107, 107, 107);
  /* height: 100%; */
}

.switch {
  position: relative;
  display: inline-block;
  width: 49px;
  height: 19px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #2196f3;
  -webkit-transition: 0.1s;
  transition: 0.1s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  top: 1px;
  /* bottom: 4px; */
  background-color: white;
  -webkit-transition: 0.1s;
  transition: 0.1s;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.num {
  pointer-events: none;
  font-weight: bold;
  margin-left: 10px;
}
